OpenNMS API 1.2.9

## org.opennms.netmgt.discovery
Class BroadcastEventProcessor

    java.lang.Object
      org.opennms.netmgt.discovery.BroadcastEventProcessor

All Implemented Interfaces:
  EventListener

final class BroadcastEventProcessor
extends java.lang.Object
implements EventListener

Author:
  Brian Weaver , OpenNMS

Constructor Summary
`(package private)` `BroadcastEventProcessor()` Create message selector to set to the subscription

Method Summary
`void` `close()` Unsubscribe from eventd
`java.lang.String` `getName()` Return an id for this event listener
`void` `onEvent(Event event)` This method is invoked by the EventIpcManager when a new event is available for processing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BroadcastEventProcessor

    BroadcastEventProcessor()

  Create message selector to set to the subscription

Method Detail

### close

    public void close()

  Unsubscribe from eventd

### onEvent

    public void onEvent(Event event)

  This method is invoked by the EventIpcManager when a new event is available for processing. Each message is examined for its Universal Event Identifier and the appropriate action is taking based on each UEI.

  Specified by:
    `onEvent` in interface `EventListener`
  Parameters:
    `event` - The event

### getName

    public java.lang.String getName()

  Return an id for this event listener

  Specified by:
    `getName` in interface `EventListener`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.